Page MenuHomePhabricator

Beta: Cannot access languages on main page
Closed, ResolvedPublic0.5 Story Points

Description

Clicking the language button shows a pointer overlay that points to nothing. The button should behave as normal on the main page.

Event Timeline

Jdlrobson created this task.Aug 3 2016, 6:34 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 3 2016, 6:34 PM
bmansurov claimed this task.Aug 3 2016, 8:17 PM
bmansurov moved this task from To Do to Doing on the Reading-Web-Sprint-78-Terminal-Velocity board.

@Jdlrobson
subtask? or estimation?

bmansurov renamed this task from Cannot access languages on main page to Beta: Cannot access languages on main page.Aug 3 2016, 8:37 PM

Change 302823 had a related patch set uploaded (by Bmansurov):
Do not output the 'switch language' action on Main Page in beta

https://gerrit.wikimedia.org/r/302823

bmansurov set the point value for this task to 0.5.Aug 3 2016, 9:06 PM

@MBinder_WMF I think it's a 1/2.

Change 302823 merged by jenkins-bot:
Do not output the 'switch language' action on Main Page in beta

https://gerrit.wikimedia.org/r/302823

bmansurov removed bmansurov as the assignee of this task.Aug 3 2016, 9:33 PM
bmansurov added a subscriber: bmansurov.

To test please visit https://en.m.wikipedia.beta.wmflabs.org/w/index.php?title=Main_Page&mobileaction=beta and click on the language switcher button after about 10mins.

Change 302830 had a related patch set uploaded (by Jdlrobson):
Do not output the 'switch language' action on Main Page in beta

https://gerrit.wikimedia.org/r/302830

@MBinder_WMF 0.5 sounds right. It blocks the deployment (aka a subtask) as well. So both.

Change 302830 merged by jenkins-bot:
Do not output the 'switch language' action on Main Page in beta

https://gerrit.wikimedia.org/r/302830

Mentioned in SAL [2016-08-03T23:24:23Z] <dereckson@tin> Synchronized php-1.28.0-wmf.13/extensions/MobileFrontend/includes/skins/SkinMinervaBeta.php: Do not output the 'switch language' action on Main Page in beta (T142016) (duration: 00m 28s)

phuedx assigned this task to dr0ptp4kt.Aug 4 2016, 3:20 AM

@bmansurov @Jdlrobson I guess a better question is, is this task part of an existing, already-estimated task, or is it its own task?

I don't recall seeing specification about the Main Page treatment in another task, so I think this is it's own. It's not our first time encountering a Main Page-specific button behavior issue, but it happens!

It's a new task and it's correctly estimated. I've swatted so it's out in production so no longer blocks deploy. Adam please sign off.

dr0ptp4kt closed this task as Resolved.Aug 4 2016, 4:54 PM

Signing off.